Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 7822)
+++ chan_sip.c	(working copy)
@@ -6974,8 +6974,29 @@
 {
 	char *start;
 	char *end;
+	char *multiple;
+	char *input_working;
+	char *calling_party;
 
-	start = strchr(input,':');
+	/* Check for a comma.  If one exists, we have multiple party= entries.
+	   If multiple entries are found, look for the calling party.  If it
+	   is found beyond the location of the comma, assign location to
+	   input_working, otherwise use the beginning of the string.
+	   If a comma is not found, use the beginning of the string.
+	 */
+	multiple = strchr(input, ',');
+	if (multiple) {
+		calling_party = strstr(input, "party=calling");
+		if ((calling_party) && (calling_party > multiple)) {
+			input_working = multiple;
+		} else {
+			input_working = input;
+		}
+	} else {
+		input_working = input;
+	}
+
+	start = strchr(input_working,':');
 	if (!start) {
 		output[0] = '\0';
 		return 0;
@@ -6991,7 +7012,7 @@
 		*end = '\0';
 	else
 		output[0] = '\0';
-	if (strstr(input,"privacy=full") || strstr(input,"privacy=uri"))
+	if (strstr(input_working,"privacy=full") || strstr(input_working,"privacy=uri"))
 		return AST_PRES_PROHIB_USER_NUMBER_NOT_SCREENED;
 
 	return 0;
